Namespaces | Enumerations | Functions
EBOOKHTMLToken.cpp File Reference
`#include <cstring>`
`#include "EBOOKHTMLToken.h"`
`#include "EBOOKHTMLToken.inc"`

## Namespaces
| libebook
| libebook::libebook
| libebook::libebook::EBOOKHTMLToken

## Enumerations
enum |
enum | Namespace

## Functions
int | libebook::getHTMLTokenId (const char *const name, const char *const ns)
int | libebook::getHTMLTokenId (const char *const name, const std::size_t nameLen, const char *const ns, const std::size_t nsLen)
int | libebook::getHTMLTokenId (const char *const name, const std::size_t nameLen)

## Enumeration Type Documentation

## § anonymous enum

anonymous enum

## § Namespace

enum Namespace

## Variable Documentation

## § id

int id

Referenced by libebook::EBOOKOutputElements::addOpenFooter(), libebook::EBOOKOutputElements::addOpenHeader(), libebook::LRFCollector::collectImage(), libebook::FB2ExtrasCollector::defineID(), libebook::FB2ContentMap::exists(), libebook::RBStream::getSubStreamById(), libebook::LRFParser::readBlockObject(), libebook::PLKRParser::readMetadata(), libebook::LRFParser::readObject(), and libebook::RBStream::subStreamName().

## § name

const char* name